Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.bestsolution
Class BestSolutionRecaller

    java.lang.Object
      org.drools.planner.core.bestsolution.BestSolutionRecaller

All Implemented Interfaces:
  AbstractSolverLifecycleListener

    public class BestSolutionRecaller

extends Object
implements AbstractSolverLifecycleListener

A BestSolutionRecaller remembers the best solution that a `Solver` encounters.

Field Summary
`protected org.slf4j.Logger` | `logger`
`protected SolverEventSupport` | `solverEventSupport`

Constructor Summary
`BestSolutionRecaller()`

Method Summary
`void` | `setSolverEventSupport(SolverEventSupport solverEventSupport)`
`void` | `solvingEnded(AbstractSolverScope abstractSolverScope)`
`void` | `solvingStarted(AbstractSolverScope abstractSolverScope)`
`void` | `stepTaken(AbstractStepScope abstractStepScope)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final transient org.slf4j.Logger logger

### solverEventSupport

    protected SolverEventSupport solverEventSupport

Constructor Detail

### BestSolutionRecaller

    public BestSolutionRecaller()

Method Detail

### setSolverEventSupport

    public void setSolverEventSupport(SolverEventSupport solverEventSupport)

### solvingStarted

    public void solvingStarted(AbstractSolverScope abstractSolverScope)

  Specified by:
    `solvingStarted` in interface `AbstractSolverLifecycleListener`

### stepTaken

    public void stepTaken(AbstractStepScope abstractStepScope)

### solvingEnded

    public void solvingEnded(AbstractSolverScope abstractSolverScope)

  Specified by:
    `solvingEnded` in interface `AbstractSolverLifecycleListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JBoss Inc.. All Rights Reserved.